@echo off
echo Updating Agilent OpenLAB ControlPanel ChemStation Plugin...
msiexec /passive /package Agilent_OpenLAB_ControlPanel_ChemStation_Plugin.msi

reg query HKCR\Installer\Products >nul
if not errorlevel 1 goto Continue
echo Installation aborted...
pause
goto End

:Continue
reg query HKCR\Installer\Products\C42B2661E35B8964B808121EE859A056 /v Version 2>nul | find "0x105" >nul
if errorlevel 1 goto End

echo Patching Agilent OpenLAB CDS ChemStation C.01.05...
msiexec /qb /update patch_C0105_045.msp REINSTALL=ALL REINSTALLMODE=o

:End
